import * as RE from 'rogue-engine';
import * as THREE from 'three';

export default class ShadowSettings extends RE.Component {
  private _normalBias = 0;

  get shadow() {
    return this.object3d["shadow"];
  }

  @RE.props.num()
  get normalBias() {
    return this._normalBias;
  }

  set normalBias(value: number) {
    this._normalBias = value;
    if (this.shadow) this.shadow.normalBias = value;
  }
}

RE.registerComponent(ShadowSettings);